Bug 1007854 - rebuild of postgresql-ip4r package against new postgresql version
Summary: rebuild of postgresql-ip4r package against new postgresql version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql-ip4r
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1007840
TreeView+ depends on / blocked
 
Reported: 2013-09-13 13:03 UTC by Pavel Raiskup
Modified: 2013-09-28 00:22 UTC (History)
3 users (show)

Fixed In Version: postgresql-ip4r-1.05-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-28 00:22:27 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Raiskup 2013-09-13 13:03:31 UTC
We have prepared update to new version of PostgreSQL package in Fedora 20
(postgresql-9.3.0-1.fc20 [1]).  According to the repoquery, package
'postgresql-ip4r' delivers postgresql plugin in %_libdir/pgsql directory.  This may
require rebuilding of the package.  If it is the case, it would be nice
to have prepared update of 'postgresql-ip4r' as soon as possible to be able to
deliver newer build in Fedora 20 Beta Release.  Otherwise, if the package
in reality does not need to be rebuild, close this bug as NOTABUG.

If your plugin really requires regular rebuild against new versions of
PostgreSQL, consider adding versioned runtime requirement on postgresql.

[1] https://admin.fedoraproject.org/updates/FEDORA-2013-16398/postgresql-9.3.0-1.fc20

Comment 1 Pavel Raiskup 2013-09-17 11:52:24 UTC
I'll use this bug to rebase ip4r 2.0 extension also.

Comment 2 Pavel Raiskup 2013-09-18 16:05:13 UTC
(In reply to Pavel Raiskup from comment #1)
> I'll use this bug to rebase ip4r 2.0 extension also.

OK, no .. we probably want wait some time before rebase.  Created bug #1009468.

Comment 3 Fedora Update System 2013-09-18 16:30:44 UTC
postgresql-ip4r-1.05-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/postgresql-ip4r-1.05-9.fc20

Comment 4 Fedora Update System 2013-09-18 17:44:33 UTC
Package postgresql-ip4r-1.05-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing postgresql-ip4r-1.05-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17076/postgresql-ip4r-1.05-9.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-28 00:22:27 UTC
postgresql-ip4r-1.05-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.